Skip to documentation
Workflow Developer API

Get Workflow Capabilities V2

Describe graph controls plus the public webhook lifecycle contract.

GET/developer/v1/capabilities/v2

Authorizations

Authorization
stringheaderrequired

Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:read for the authenticated organization.

Headers

Accept
stringheader

Response media type. Use application/json for the current API.

Parameters

This endpoint does not define request parameters.

Responses

200Successful Response
WorkflowDeveloperCapabilityManifestV2
expression_syntaxobject<string, any>
graph_schemaobject<string, any>
integration_actionsobject<string, any>
lifecycleobject<string, any>
node_typesarray<WorkflowNodeCapability>
public_webhooksComplete public webhook lifecycle safe to expose to an AI agent.WorkflowDeveloperPublicWebhookCapability
recipesarray<object<string, any>>
schema_versioninteger